import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        String S,T;
        int M,N,Br=0;
        Scanner sc=new Scanner(System.in);
        T=sc.next();
        N=T.length();
        S=sc.next();
        M=S.length();
        if(M>N){
            System.out.println(Br);
            System.out.println(T);
            System.exit(1);
        }
        if (M!=1){
            M =(int)Math.ceil(M / 2);
            char l=S.charAt(M);
            char l1=S.charAt(M + 1);
            char l2=S.charAt(M - 1);
            for (int i = 0; i < N; i++) {
                if (T.charAt(i) == l) {
                    if (T.charAt(i-1)==l2 && T.charAt(i+1)==l1){
                        char[] Tt=T.toCharArray();
                        Tt[i]='*';
                        T=String.valueOf(Tt);
                        Br++;
                    }
                }
            }
        }
        else{
            char l=S.charAt(0);
            for (int i = 0; i < N; i++) {
                if (T.charAt(i) == l) {
                    char[] Tt=T.toCharArray();
                    Tt[i] = '*';
                    T=String.valueOf(Tt);
                    Br++;
                }
            }
        }
        System.out.println(Br);
        System.out.println(T);
    }
}